| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PSBasedPostStackSyntheticData Class Reference
WellAttrib

`#include <syntheticdataimpl.h>`

Inheritance diagram for PSBasedPostStackSyntheticData:
[legend]

## Public Member Functions
| PSBasedPostStackSyntheticData (const SynthGenParams &, const Seis::SynthGenDataPack &, SeisTrcBufDataPack &)
void | fillGenParams (SynthGenParams &) const
void | useGenParams (const SynthGenParams &)
Public Member Functions inherited from PostStackSyntheticDataWithInput
| PostStackSyntheticDataWithInput (const SynthGenParams &, const Seis::SynthGenDataPack &, SeisTrcBufDataPack &)
void | fillGenParams (SynthGenParams &) const
void | useGenParams (const SynthGenParams &)
Public Member Functions inherited from PostStackSyntheticData
| PostStackSyntheticData (const SynthGenParams &, const Seis::SynthGenDataPack &, SeisTrcBufDataPack &)
DataPack::FullID | fullID () const override
ConstRefMan< FlatDataPack > | getFlattenedTrcDP (const TypeSet< float > &zvals, bool istime) const override
const SeisTrc * | getTrace (int trcnr) const override
ConstRefMan< FlatDataPack > | getTrcDP () const override
TrcKey | getTrcKey (int trcnr) const override
bool | hasOffset () const override
bool | isPS () const override
int | nrPositions () const override
SeisTrcBufDataPack & | postStackPack ()
const SeisTrcBufDataPack & | postStackPack () const
SynthGenParams::SynthType | synthType () const override
ZSampling | zRange () const override
Public Member Functions inherited from SyntheticData
float | getDepth (float time, int trcnr) const
const SynthGenParams & | getGenParams () const
DataPack & | getPack ()
const DataPack & | getPack () const
const ReflectivityModelBase * | getRefModel (int itrc) const
const ReflectivityModelSet & | getRefModels () const
const TimeDepthModel * | getTDModel (int itrc) const
const TimeDepthModel * | getTDModel (int itrc, int ioff) const
float | getTime (float dpt, int trcnr) const
TrcKeyZSampling | getTrcKeyZSampling () const
SynthID | id () const
virtual bool | isAngleStack () const
virtual bool | isAttribute () const
virtual bool | isAVOGradient () const
virtual bool | isFilter () const
bool | isOK () const
virtual bool | isStratProp () const
void | setID (SynthID newid)
void | setName (const char *) override
const Seis::SynthGenDataPack & | synthGenDP () const
void | useGenParams (const SynthGenParams &)
const char * | waveletName () const
Public Member Functions inherited from SharedObject
| SharedObject (const char *nm=nullptr)
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Protected Member Functions
| ~PSBasedPostStackSyntheticData ()
Protected Member Functions inherited from PostStackSyntheticDataWithInput
| ~PostStackSyntheticDataWithInput ()
Protected Member Functions inherited from PostStackSyntheticData
| ~PostStackSyntheticData ()
Protected Member Functions inherited from SyntheticData
| SyntheticData (const SynthGenParams &, const Seis::SynthGenDataPack &, DataPack &)
| ~SyntheticData ()
Protected Member Functions inherited from SharedObject
| ~SharedObject ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Protected Attributes
Interval< float > | anglerg_
Protected Attributes inherited from PostStackSyntheticDataWithInput
BufferString | inpsynthnm_
Protected Attributes inherited from SyntheticData
RefMan< DataPack > | datapack_
SynthID | id_
SynthGenParams | sgp_
ConstRefMan< Seis::SynthGenDataPack > | synthgendp_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from PostStackSyntheticData
static const char * | sDataPackCategory ()
Static Public Member Functions inherited from SyntheticData
static ConstRefMan< SyntheticData > | get (const SynthGenParams &, Seis::RaySynthGenerator &)
static SynthID | getNewID ()
Static Public Member Functions inherited from SharedObject
static Notifier< SharedObject > & | instanceCreated ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ PSBasedPostStackSyntheticData()

PSBasedPostStackSyntheticData::PSBasedPostStackSyntheticData | ( | const SynthGenParams & | ,
|  | const Seis::SynthGenDataPack & | ,
|  | SeisTrcBufDataPack & | )

## ◆ ~PSBasedPostStackSyntheticData()

PSBasedPostStackSyntheticData::~PSBasedPostStackSyntheticData | ( |  | ) |
| protected

## Member Function Documentation

## ◆ fillGenParams()

void PSBasedPostStackSyntheticData::fillGenParams | ( | SynthGenParams & |  | ) | const

## ◆ useGenParams()

void PSBasedPostStackSyntheticData::useGenParams | ( | const SynthGenParams & |  | ) |

## Member Data Documentation

## ◆ anglerg_

Interval<float> PSBasedPostStackSyntheticData::anglerg_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025